<?php

namespace Poodle;

require __DIR__ . '/hash.php';
require __DIR__ . '/random.php';
require __DIR__ . '/scrypt.php';
require __DIR__ . '/uuid.php';

abstract class Password
{
	public static function hash($password, $algo='bcrypt')
	{
		return $algo.':'.\Poodle\Hash::string($algo, $password);
	}

	public static function verify($password, $hash)
	{
		list($algo, $hash) = explode(':', $hash, 2);
		return \Poodle\Hash::verify($algo, $password, $hash);
	}

}
